/*******************************************************************************
* Title: PWM_Setup.h                                                           
* Version: 1.0                                                                 
* Author: Jeff Nybo                                                            
* Date: April 23, 2014                                                      
*                                                                              
* Description:                                                                 
* This file contains the functions that allow the user to setup the PWM modules
* and adjust the duty cycle and period of the PWM module.                      
*******************************************************************************/

#ifndef PWM_SETUP_H
#define PWM_SETUP_H

/*************************************************
*                  Constants                     *
*************************************************/ 
#define PWM2_DUTY(x)        (OC2RS = x)

/*************************************************
*                   Macros                       *
*************************************************/

/*************************************************
*              Function Prototypes               *
*************************************************/  
void PWM2_Init(UINT16 control, UINT16 duty);       

#endif
