/*******************************************************************************
* Title: Timer_Setup.h                                                         *
* Version: 1.0                                                                 *
* Author: Jeff Nybo                                                            *
* Date: April 23, 2014                                                       *
*                                                                              *
* Description:                                                                 *
* This file contains all the constants and function prototypes that are used   *
* to initialize and control the operation of Timer0 and Timer1.                *
*******************************************************************************/

#ifndef TIMERS_SETUP_H
#define TIMERS_SETUP_H

/*************************************************
*                  Constants                     *
*************************************************/  
#define T0_FLAG		    
#define T1_FLAG		    
#define T2_FLAG		    
#define T3_FLAG		    

/*************************************************
*                   Macros                       *
*************************************************/
#define TMR1_INT(x)			
#define TMR2_INT(x)			
#define TMR3_INT(x)			

#define TMR1_STATE(x)		
#define TMR2_STATE(x)		
#define TMR3_STATE(x)		

/*************************************************
*              Function Prototypes               *
*************************************************/  
void TMR1_Init(void);   
void TMR2_Init(void);       
void TMR3_Init(void);     
void TMR5_Init(void);

#endif
